"""
Task:
Write a program, which will read a CSV file, calculate a statistic 
from each column, and save the into another CSV file. 
The user will specify the names of the input and output files from 
the command line.
Furthermore, the user can specify:
- that the first line of the input file is a header and this header 
should also be printed into the output file (using --header)
- what is the delimiter in the CSV files (using --delimiter)
- what type of statistic (mean/median/min/max) should be computed (using --stat)

If some values in a column cannot be converted into a number, leave
the corresponding cell in the output table empty.

Examples of execution from the command line:
$ python3  task03-statistics.py  table1.csv  output1.csv  --stat median  --header  --delimiter ";"
$ python3  task03-statistics.py  table2.csv  output2.csv  --stat max

(Note that the character semicolon must be quoted. This is because some characters 
(; | < > ? * space etc.) are treated as special characters for the command line 
(i.e. Bash or Powershell). We quote these characters to cancel their special function. 
The quotes will be removed automatically, so Python gets the character without quotes.

Example output files are output1-example.csv, output2-example.csv.
"""

import argparse


parser = argparse.ArgumentParser()
parser.add_argument('input', help='Input CSV file', type=str)
parser.add_argument('output', help='Output CSV file', type=str)
parser.add_argument('-H', '--header', help='Interpret the first line as column names', action='store_true')
parser.add_argument('-d', '--delimiter', help='Delimiter in the CSV files', type=str, default=',')
parser.add_argument('-s', '--stat', help='Type of statistic to be computed', choices=['mean', 'median', 'min', 'max'], default='mean')
args = parser.parse_args()

# Replace the following lines by your solution
print('args.input:', args.input)
print('args.ouput:', args.output)
print('args.header:', args.header)
print('args.delimiter:', args.delimiter)
print('args.stat:', args.stat)
